Index: trunk/source/processes/electromagnetic/utils/src/G4VMscModel.cc
===================================================================
--- trunk/source/processes/electromagnetic/utils/src/G4VMscModel.cc	(revision 968)
+++ trunk/source/processes/electromagnetic/utils/src/G4VMscModel.cc	(revision 991)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4VMscModel.cc,v 1.10 2009/02/24 09:56:03 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4VMscModel.cc,v 1.4 2008/03/10 18:39:45 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02 $
 //
 // -------------------------------------------------------------------
@@ -49,6 +49,4 @@
 
 #include "G4VMscModel.hh"
-#include "G4ParticleChangeForMSC.hh"
-#include "G4TransportationManager.hh"
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -57,5 +55,4 @@
 G4VMscModel::G4VMscModel(const G4String& nam):
   G4VEmModel(nam), 
-  safetyHelper(0),
   facrange(0.02),
   facgeom(2.5),
@@ -64,5 +61,4 @@
   dtrl(0.05),
   lambdalimit(mm),
-  geommax(1.e50*mm),
   steppingAlgorithm(fUseSafety),
   samplez(false),
@@ -76,61 +72,2 @@
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-void G4VMscModel::InitialiseSafetyHelper()
-{
-  if(!safetyHelper) {
-    safetyHelper = G4TransportationManager::GetTransportationManager()
-      ->GetSafetyHelper();
-    safetyHelper->InitialiseHelper();
-  }
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-void G4VMscModel::ComputeDisplacement(G4ParticleChangeForMSC* fParticleChange,  
-				      const G4ThreeVector& dir,
-				      G4double displacement,
-				      G4double postsafety)
-{
-  const G4ThreeVector* pos = fParticleChange->GetProposedPosition();
-  G4double r = displacement;
-  if(r >  postsafety) {
-    G4double newsafety = safetyHelper->ComputeSafety(*pos);
-    if(r > newsafety) r = newsafety;
-  }
-  if(r > 0.) {
-
-    // compute new endpoint of the Step
-    G4ThreeVector newPosition = *pos + r*dir;
-
-    // definitely not on boundary
-    if(displacement == r) {
-      safetyHelper->ReLocateWithinVolume(newPosition);
-
-    } else {
-      // check safety after displacement
-      G4double postsafety = safetyHelper->ComputeSafety(newPosition);
-
-      // displacement to boundary
-      if(postsafety <= 0.0) {
-	safetyHelper->Locate(newPosition, 
-			     *fParticleChange->GetProposedMomentumDirection());
-
-	// not on the boundary
-      } else {
-	safetyHelper->ReLocateWithinVolume(newPosition);
-      }
-    }
-    fParticleChange->ProposePosition(newPosition);
-  }
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
-void G4VMscModel::SampleSecondaries(std::vector<G4DynamicParticle*>*,
-				    const G4MaterialCutsCouple*,
-				    const G4DynamicParticle*,
-				    G4double, G4double)
-{}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
